Bug 1226663 - dnf bash completion: show version of packages
dnf bash completion: show version of packages
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-31 11:12 EDT by Kostya Vasilyev
Modified: 2016-07-19 10:25 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 10:25:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostya Vasilyev 2015-05-31 11:12:02 EDT
Description of problem:

This is a suggestion, just not sure where / how to file them, sorry.

yum autocomplete (bash) allowed me to choose a particular version number of an installed component, when multiple existed.

For example, after installing a new kernel, I could easily uninstall the oldest one (I keep two active at a time) with:

$ sudo yum remove kernel-core<TAB>

Here I would see the list of all kernel-core packages by version number, and then easily select one version for removal:

kernel-core-4.0.4-303.fc22.x86_64
kernel-core-3.19.7-200.fc22.x86_64 (whatever)

With dnf, I get this when there are multiple versions, just the package name itself, no version numbers.

$ sudo yum kernel-core<TAB>

kernel-core

I know that dnf here would uninstall all versions of the component, and this may be a very good use case, but... Selecting a specific version for uninstalling and keeping all others has become a bit less convenient.

Version-Release number of selected component (if applicable):

dnf-1.0.0-1.fc22.noarch
bash-4.3.39-1.fc22.x86_64
bash-completion-2.1-7.20150513git1950590.fc22.noarch

How reproducible:

Always, just how it's implemented I guess.

Steps to Reproduce:
1. Make sure that there is a package with installed multiple versions, e.g. kernel-core
2. Type "sudo dnf remove {package name}"
3. Hit <TAB>

Actual results:

One autocomplete suggestion:

package

Expected results:

Each version of the package, as its own separate autocomplete text item, to select from:

package-1.0.0.fc22.x86_64
package-1.0.2.fc22.x86_64
package-1.1.0.fc22.x86_64
Comment 1 Honza Silhan 2015-07-24 05:22:48 EDT
Hi Igor, do you think this feature could be handy and be possible to implement?
Comment 3 Otso Rajala 2015-09-23 14:10:52 EDT
I assume this feature was added mid F22 cycle and it is broken. 
For example, typing...
dnf install vim-X<tab> 
...autocompletes to dnf install vim-X11-2\:7.4.

I assume the intention was to first tabcomplete to vim-X11 and *then* on second tab to show possible versions as per original post. Right now, this is very annoying, as it also doesn't tabcomplete further from above in case only one version is available. 

dnf --version 1.1.1 
rpm --version 4.12.0.1
Comment 4 Mike McCune 2016-03-28 19:15:27 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Fedora Admin XMLRPC Client 2016-07-08 05:28:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-07-19 10:25:08 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.